function OutPost:StartActivity()
	print("START!  OutPost:StartActivity()!");
	
	self.braindead = {};
	self.AssignedBrains = {};
	self.MOIDLimit = 200;
    
	self.PlayerGold = 400;

   	self.CPUTeam = Activity.TEAM_2;
	self.PlayerTeam = Activity.TEAM_1;
	self.RogueTeam = -1;

	for player = 0, self.PlayerCount - 1 do
        if not self:GetPlayerBrain(player) then
			self.braindead[player] = false;
			local brain = CreateActor("Brain Case");
			brain.Pos = Vector(5150 + player * 3142 , 2010);
			brain:AddInventoryItem(CreateHDFirearm("Auto Pistol" , "Coalition.rte"));
			brain.AIMode = Actor.AIMODE_SENTRY;
			self.AssignedBrains[player] = brain;

            MovableMan:AddActor(brain);
            self:SetPlayerBrain(brain, player);
            SceneMan:SetScroll(self:GetPlayerBrain(player).Pos, player);
            self:SetObservationTarget(self:GetPlayerBrain(player).Pos, player);
        end
    end
	    self:SetTeamFunds(self.PlayerGold , self.PlayerTeam);
end
function OutPost:PauseActivity(pause)
    print("PAUSE!  OutPost:PauseActivity()!");
end
function OutPost:EndActivity()
    print("END!  OutPost:EndActivity()!");
end
function OutPost:UpdateActivity()
   	self:ClearObjectivePoints();

	self:DoBrainSelection();
	
	self:YSortObjectivePoints();
end
function OutPost:DoBrainSelection()
	if not (self.ActivityState == Activity.OVER) then
		for player = 0, self.PlayerCount - 1 do
			local team = self:GetTeamOfPlayer(player);
	
			local brain = self:GetPlayerBrain(player);
			if not brain or not MovableMan:IsActor(brain) or not brain:HasObjectInGroup("Brains") then
				self:SetPlayerBrain(nil, player);
				local newBrain = MovableMan:GetUnassignedBrain(team);
				if newBrain and self.braindead[player] == false then
					self:SetPlayerBrain(newBrain, player);
					self:SwitchToActor(newBrain, player, team);
				else
					FrameMan:SetScreenText("You died!", player, 333, -1, false);
					self.braindead[player] = true;
					
					if not MovableMan:GetClosestBrainActor(team) then
						self.WinnerTeam = self:OtherTeam(team);
						ActivityMan:EndActivity();
					end
				end
			else
				self:SetObservationTarget(brain.Pos, player)
			end
		end
	end
end
